api/urls.py
from .views import *
from django.urls import path
urlpatterns=[
    path('all-contents/',content_api),
    path('all-feedbacks/',all_feedback_api),
    path('add-content/<id>/',add_content_file_api),
    path('add-feedback/',add_feedback_api),
    path('login/',login_request_api),
    path('register/murid/',register_murid_api),
    path('register/guru/',register_guru_api),
    path('all-courses/', all_courses_api, name='all_courses'),
    path('participants/murid/', participants_murid_json_api),
    path('participants/murid-user/<id>', participants_murid_user_api),
    path('participants/guru/', participants_pengajar_json_api),
    path('participants/guru-user/<id>', participants_pengajar_user_api),
    path('participants/', participants_json_api),
    path('course/contents/<id>/', contents_json_api),
    path('course/summary/<id>/', summary_json_api),
    path('course/sections/<id>/', sections_api),
    path('course/sections/add/<id>/', add_section_api),
    path('section/<id>/add/<sectionid>/', add_section_post_api),
    path('section/<id>/', sections_posts_api),
    path('user/<id>/', view_json_api),
    path('update_user/<id>/', update_user_api),
    path('forum/main/<id>/', forum_post_api),
    path('forum/createpost/<courseid>/<usrid>', create_post_api),
    path('forum/createreply/<id>/<usrid>', reply_api),
    path('forum/<id>/', reply_api),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('register/', views.register, name='register'),
    path('register/murid', views.murid_register.as_view(), name='register_murid'),
    path('register/pengajar', views.pengajar_register.as_view(), name='register_pengajar'),
    path('login/', views.login_request, name='login'),
    path('logout/',views.logout_view, name='logout'),
    path('add-course/', views.add_course, name='add_course'),
    path('all-courses/', views.all_courses, name='all_courses'),
    path('course/', views.all_courses, name='course'),
    path('course/<id>/', views.course_detail, name='course<id>'),
    path('course/<id>/contentsjson', views.contents_json, name='course<id>json'),
    path('course/<id>/participantsjson/', views.participants_json, name='course<id>participants'),
    path('course/<id>/add-section/', views.course_add_section, name='course<id>addsection'),
    path('course/<id>/add-summary/', views.course_add_summary, name='course<id>addsummary'),
    path('course/<id>/add-post/<sectionid>/', views.course_add_post, name='course<id>addpost<sectionid>'),
    path('course/<id>/unenroll/', views.course_unenroll, name='course<id>unenroll'),
    path('course-summary/<id>/', views.course_summary, name='course<id>summary'),
    path('course-summary/<id>/summaryjson', views.summary_json, name='course<id>summary'),
    path('course-summary/<id>/enroll/', views.course_enroll, name='course<id>enroll'),
    path('coursesbyme/', views.coursesbyme, name='coursesbyme'),
    path('coursestaken/', views.coursestaken, name='coursestaken'),
    path('profile/', views.detail_view, name='profile'),
    path('profileupdate/<id>/', views.update_view, name='profileupdate<id>'),
    path('profile/<id>/viewjson', views.view_json, name='profilejson'),
]

project_uts/urls.py
from django.contrib import admin
from django.urls import include, path
from  rest_framework.routers import DefaultRouter
from ujian.views import *

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('helpdesk/', include('helpdesk.urls')),
    path('forum/', include('forum.urls')),
    path('content/', include('content.urls')),
    path('quiz/', include('ujian.urls')),
    path('api/', include('api.urls')),
]

main/models.py
from django.db import models
from django.contrib.auth.models import AbstractUser
from django.db.models.base import ModelState
from django.db.models.deletion import CASCADE
from django.forms.widgets import Widget

# Create your models here.
class User(AbstractUser):
    # id = models.BigAutoField(primary_key=True)
    is_admin = models.BooleanField("is admin",default=False)
    is_pengajar = models.BooleanField("is pengajar",default=False)
    is_murid = models.BooleanField("is murid" ,default=False)
    first_name = models.CharField(max_length=128)
    last_name = models.CharField(max_length=128)
    city = models.CharField(max_length=128, null=True)

    # Gak harus
    zip_code = models.IntegerField(default=0, null=True)
    hobby = models.CharField(max_length=128,default="", blank=True)
    motto = models.CharField(max_length=128, default="", blank=True)

    # last_login = models.DateTimeField(null=True)

    @property
    def get_name(self):
        return self.first_name+" "+self.last_name
    # @property
    # def get_id(self):
    #     return self.id

class Pengajar(models.Model):
    # id = models.BigAutoField(primary_key=True)
    user = models.OneToOneField(User, on_delete=models.CASCADE, primary_key=True)
    organization = models.CharField(max_length=128)

    # Gak harus
    specialty = models.CharField(max_length=250,  default="" , blank=True)
    


class Course(models.Model):
    # id = models.BigAutoField(primary_key=True)
    author = models.ForeignKey(Pengajar, null=True, on_delete=models.CASCADE)
    title = models.CharField(max_length=64)
    subtitle = models.CharField(max_length=64, blank=True)
    description = models.TextField(max_length=3000)


    
class SummaryPoints(models.Model):
    course = models.ForeignKey(Course, null=True, on_delete=models.CASCADE)
    title = models.CharField(max_length=128)


class Section(models.Model):
    course = models.ForeignKey(Course,null=True, on_delete=models.CASCADE)
    title = models.CharField(max_length=128,default="section name")

class Post(models.Model):
    id = models.BigAutoField(primary_key=True)
    course = models.ForeignKey(Course, null=True, on_delete=models.CASCADE)
    section = models.ForeignKey(Section, null=True, on_delete=models.CASCADE)

    title= models.CharField(max_length=128)
    description = models.TextField(max_length=10000)
    # image = models.ImageField(upload_to="posts")

class Murid(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE, primary_key=True)
    phone_number = models.CharField(max_length=20)
    city = models.CharField(max_length=32)
    dob = models.DateField(null=True)

    # relation
    course_taken = models.ManyToManyField(Course)

main/views.py
from django.http import JsonResponse
from django.shortcuts import render,redirect, get_object_or_404
from django.http.response import HttpResponse
from django.contrib.auth import login, logout,authenticate
from django.contrib.auth.decorators import login_required
from django.core import serializers
from django.contrib.auth.forms import AuthenticationForm
from django.views.generic import CreateView
from django.contrib import messages
from main.forms import *
from django.http import HttpResponse
from django.core import serializers
from main.models import *
from forum.models import *


def home(request):
    # if request.user.is_authenticated:
    #     return render(request, 'main/logged.html')
    # else:
    return render(request, 'main/home.html')

def register(request):
    return render(request, 'main/register.html')

class murid_register(CreateView):
    model = User
    form_class = MuridCreation
    template_name = 'main/register_murid.html'

    def form_valid(self, form):
        user = form.save()
        # login(self.request, user)
        return redirect('/')


class pengajar_register(CreateView):
    model = User
    form_class = PengajarCreation
    template_name = 'main/register_pengajar.html'

    def form_valid(self, form):
        user = form.save()
        # login(self.request, user)
        return redirect('/')

def login_request(request):
    if request.method=='POST':
        form = AuthenticationForm(data=request.POST)
        if form.is_valid():
            username = form.cleaned_data.get('username')
            password = form.cleaned_data.get('password')
            user = authenticate(username=username, password=password)
            if user is not None :
                if 'next' in request.POST:
                    login(request,user)
                    return redirect(request.POST.get('next'))

                login(request,user)
                return redirect('/')
            else:
                messages.error(request,"Invalid username or password")
        else:
                messages.error(request,"Invalid username or password")

    return render(request, 'main/login.html',context={'form':AuthenticationForm()})

@login_required(login_url="/login")
def logout_view(request):
    logout(request)
    return redirect('/')
@login_required(login_url="/login")
def add_course(request):
    form = CourseCreation(request.POST or None)
    if request.method == 'POST':
        if form.is_valid():
            user_author = request.user
            author_obj = Pengajar.objects.get(user=user_author)
            form.save()
            # ubah course authornya
            latest = Course.objects.last()
            latest.author = author_obj
            latest.save()
            return redirect('/')
    context = {'form':form}
    return render(request, 'main/addcourse.html', context)
@login_required(login_url="/login")
def all_courses(request):
    courses = Course.objects.all()
    context = {'courses':courses}
    return render(request,'main/allcourses.html', context)

@login_required(login_url="/login")
def coursesbyme(request):
    author_obj = Pengajar.objects.get(user = request.user)
    courses = Course.objects.filter(author=author_obj)
    context = {'courses':courses}
    return render(request,'main/coursesbyme.html', context)

@login_required(login_url="/login")
def coursestaken(request):
    murid_obj = Murid.objects.get(user = request.user)
    courses = Course.objects.filter(murid=murid_obj)
    context = {'courses':courses}
    return render(request,'main/coursesbyme.html', context)

@login_required(login_url="/login")
def course_detail(request, id):
    course = Course.objects.get(id = id)
    sections= Section.objects.filter(course=course)
    forums= ForumPost.objects.filter(course=course)

    context = {'course':course,  'sections': sections, 'forums':forums}

    return render(request,'main/courseID.html', context)

def course_summary(request,id):
    course = Course.objects.get(id = id)
    summarys = SummaryPoints.objects.filter(course=course)
    context = {'course':course, 'summarys':summarys}
    return render(request, 'main/course_summary.html', context)

@login_required(login_url="/login")
def course_enroll(request,id):
    murid = request.user.murid
    course = Course.objects.get(id = id)
    murid.course_taken.add(course)
    # murid.save()

    return course_detail(request,id)

@login_required(login_url="/login")
def course_unenroll(request,id):
    murid = request.user.murid
    course = Course.objects.get(id = id)
    murid.course_taken.remove(course)

    return all_courses(request)
@login_required(login_url="/login")
def detail_view(request):
    # dictionary for initial data with
    # field names as keys
    context ={}
  
    # add the dictionary during initialization
          
    return render(request, "main/detail_view.html", context)

@login_required(login_url="/login") 
# update view for details
def update_view(request, id):
    # dictionary for initial data with
    # field names as keys
    context ={}
 
    # fetch the object related to passed id
    obj = get_object_or_404(User, id = id)
 
    # pass the object as instance in form
    form = ProfileForm(request.POST or None, instance = obj)
    if request.method == 'POST':
    # save the data from the form and
    # redirect to detail_view
        if form.is_valid():
            form.save()
            return redirect("/")
    
    # add form dictionary to context
    context["form"] = form
 
    return render(request, "main/update_view.html", context)

@login_required(login_url="/login")   
def course_add_section(request,id):
    if request.method == 'POST':
        form = SectionForm(request.POST)
        if form.is_valid():
            user_author = request.user
            course_obj = Course.objects.get(id=id)
            form.save()
            latest = Section.objects.last()
            latest.course = course_obj
            latest.save()
            return redirect('/course/'+id)
        else :
            return JsonResponse({'status':'error', 'msg': 'Section gagal ditambahkan'}) 

    context = {'form':SectionForm(), 'course':Course.objects.get(id=id)}
    return render(request, 'main/addcourse.html', context)

@login_required(login_url="/login")
def course_add_summary(request,id):
    if request.method == 'POST':
        form = SummaryPointsForm(request.POST)
        if form.is_valid():
            user_author = request.user
            course_obj = Course.objects.get(id=id)
            form.save()
            latest = SummaryPoints.objects.last()
            latest.course = course_obj
            latest.save()
            return redirect('/course-summary/%s'%id)
        else :
            return JsonResponse({'status':'error', 'msg': 'Section gagal ditambahkan'}) 

    context = {'form':SummaryPointsForm(),'course':Course.objects.get(id=id)}
    return render(request, 'main/addSummary.html', context)  

@login_required(login_url="/login")
def course_add_post(request,id,sectionid):
    if request.method == 'POST':
        form = PostCreateForm(request.POST)
        if form.is_valid():
            course_obj = Course.objects.get(id=id)
            section_obj = Section.objects.get(id=sectionid)
            form.save()
            latest = Post.objects.last()
            latest.course = course_obj
            latest.section = section_obj
            latest.save()
            return redirect('/course/%s'%id)
        else :
            return JsonResponse({'status':'error', 'msg': 'Section gagal ditambahkan'}) 

    context = {'form':PostCreateForm(),'course':Course.objects.get(id=id), 'section':Section.objects.get(id=sectionid)}
    return render(request, 'main/add_post.html', context)  

def participants_json(request,id):
    data = serializers.serialize('json', User.objects.all())
    return HttpResponse(data, content_type='application/json')
    # return HttpResponse(Murid.objects.all())

def contents_json(request,id):
    data = serializers.serialize('json', Course.objects.filter(id=id))
    return HttpResponse(data, content_type='application/json')

def summary_json(request,id):
    data = serializers.serialize('json', SummaryPoints.objects.filter(course=id))
    return HttpResponse(data, content_type='application/json')
def view_json(request,id):
    data = serializers.serialize('json', User.objects.filter(id=id))
    return HttpResponse(data, content_type='application/json')
    

main/templates/main/addSummary.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add A Course</title>
{% endblock meta %}

{% block content %}
<h4>Create new summary for {{course.title}}</h4>
<hr>
  <form action="" method="POST">
      {% csrf_token %}
      {{form.as_p}}
      <input type="submit" value="Submit" class="btn green">
  </form>

  
{% endblock content %}

main/templates/main/add_post.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add A Course</title>
{% endblock meta %}

{% block content %}
<h4>Create a new post for {{section.title}}</h4>
<h6>for {{course.title}}</h6>
<hr>
  <form action="" method="POST">
      {% csrf_token %}
      {{form}}
      <input type="submit" value="Submit" class="btn green">
  </form>

  
{% endblock content %}

main/templates/main/add_section.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add A Section</title>
{% endblock meta %}

{% block content %}
<h4>Create a new section for {{course.title}}</h4>
<div class="modal" id="modal1">
    <div class="modal-content">
        <h3>It Works</h3>
        <a href="" class="btn btn-purple waves-effect modal-close"> Close</a>
    </div>
</div>
  <form id="form_add_section" action="" method="POST">
      {% csrf_token %}
      {{form.as_p}}
      
      <a type="submit" class="btn green"> Submit</a>
  </form>

<script >
var id = "{{course.id}}"
$(document).ready(function(){
    
    $("#form_add_section").on("submit", function(e){
        e.preventDefault();
        var dataForm = new FormData(document.getElementById("#form_add_section"));
        $.ajax({
            url:"/course/"+id+"/add-section",
            type : "POST",
            data : dataForm,
            enctype: "multipart/form-data",
            processData: false,
            contentType: false,
            success: function(response){
                if (response.get("status") == "OK"){
                    alert("berhasil daftar")
                    console.log("BERHASIL MASUK");
                    
                    // $('#modal1').modal()
                    $('#modal1').modal('open')
                }else{
                    $('#modal1').modal('open')
                }
            }
        });
    });
});

</script>  
{% endblock content %}

main/templates/main/allcourses.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>All Courses</title>
{% endblock meta %}

{% block content %}

<div class="container">

    {% if courses %} 
    {% for course in courses %}
        <div class="card">
            <div class="card-content">
               <h4>
                   {{course.title}}
               </h4> 
               Author :  {{course.author.user.get_name}} <br>
               Description : {{course.description}}

            </div>
            <div class="card-action">
                {%if request.user.is_murid or request.user.is_superuser%}
                    {%if request.user.murid in course.murid_set.all or request.user.is_superuser %}
                    <a href="/course/{{course.id}}/" class="btn waves-effect purple lighten-1"><i class="material-icons right">send</i>Details</a>
                    {%endif %}
                {%endif%}
                    
                    
                <a href="/course-summary/{{course.id}}/" class="btn waves-effect purple accent-3"><i class="material-icons right">book</i>Read Summary</a>
                {%if request.user.murid not in course.murid_set.all %}
                <i>enroll this course to see details</i>
                {%endif %}
            </div>
        </div>
    {%endfor%}
    {%endif%}
</div>

  
{% endblock content %}

main/templates/main/course_summary.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>{{course.title}} Course Summary</title>
{% endblock meta %}

{% block content %}

<div class="card">
    
    <div class="card-content">
        <h4>Summary of {{course.title}}</h4>
        {% if course.subtitle %}
        <h6> {{course.subtitle}} </h6>
        {% endif %}
        <br>
        {% if not request.user.is_authenticated %}
        <h6>
            <i>
                you must login as murid to enroll this course
            </i>
        </h6>
        {% endif %}
        {%if request.user.is_superuser or request.user.is_pengajar and course.author.user.username == request.user.username %}
        <a href="/course/{{course.id}}/add-summary/" class="btn btn-large waves-effect waves-light purple darken-2 hoverable">
            <i class="material-icons left">
                playlist_add
            </i>Add Summary </a>
        {%endif%}
        {% if request.user.is_murid %}
            {%if request.user.murid in course.murid_set.all %}
            <a href="/course/{{course.id}}/" class="btn waves-effect purple darken-2"><i class="material-icons right">send</i>Details</a>
            <blockquote>

                <i> you have enrolled this course</i>
            </blockquote>
            {%endif %}
            
            {%if request.user.murid not in course.murid_set.all %}
            <a href="enroll" class="btn btn-large waves-effect waves-light purple darken-2 hoverable">
                <i class="material-icons left">
                    playlist_add
                </i> Enroll This Course </a>
            {%endif %}
        {% endif %}

    </div>

    <div class="divider"></div>
    <div class="card-content">
        
            <table>
                <tr>
                    <td>
                        Penulis
                    </td>
                    <td>
                         {{course.author.user.get_name}}  
                    </td>
                </tr>
                <tr>
                    <td>
                        Sekolah/Universitas
                    </td>
                    <td>
                         {{course.author.organization}}  
                    </td>
                </tr>
                <tr>
                    <td>
                        Deskripsi
                    </td>
                    <td>
                         {{course.description}}
                    </td>
                </tr>
            </table>
            
        <!-- <div class="divider"></div> -->

        <ul id="points" class="collection with-header">
            <li class="collection-header">
               <h6>
                   Important Points:
               </h6> 
            </li>
            
        </ul>
    </div>
</div>
    
<script>
    var id = "{{course.id}}";
    $(document).ready(function(){
    $('.collapsible').collapsible();
    $.ajax({
        type:"GET",
        url:"/course-summary/"+ id + "/summaryjson",
        success: function(response){
            for (var i=0;i<response.length; i++){
                var sum = '<a class="collection-item purple-text">' + response[i]['fields']['title'] + ' </a>'
                $("#points").append(sum)

            }
        }
    })
  });
</script>
{% endblock content %}

main/templates/main/coursesbyme.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Courses By Me</title>
{% endblock meta %}

{% block content %}

<div class="container">

    {% for course in courses %}
        <div class="card">
            <div class="card-content">
            <h4>
                {{course.title}}
            </h4> 
               Author :  {{course.author.user.get_name}} <br>
               Description : {{course.description}}
               
            </div>
            <div class="card-action">
                <a href="/course/{{course.id}}/" class="btn waves-effect"><i class="material-icons right">send</i>Details</a>
                <a href="/course-summary/{{course.id}}/" class="btn waves-effect"><i class="material-icons right">book</i>Read Summary</a>
            </div>
        </div>
        {%empty%}
        <h3> <i>you haven't created any course yet </i> </h3>
    {%endfor%}
    
</div>

  
{% endblock content %}

main/templates/main/coursestaken.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Courses Taken -- {{request.user.username}}</title>
{% endblock meta %}

{% block content %}

<div class="container">

    {% for course in courses %}
        <div class="card">
            <div class="card-content">
            <h4>
                {{course.title}}
            </h4> 
               Author :  {{course.author.user.get_name}} <br>
               Description : {{course.description}}
               
            </div>
            <div class="card-action">
                <a href="/course/{{course.id}}/" class="btn waves-effect"><i class="material-icons right">send</i>Details</a>
                <a href="/course-summary/{{course.id}}/" class="btn waves-effect"><i class="material-icons right">book</i>Read Summary</a>
            </div>
        </div>
        {%empty%}
        <h3> <i>you haven't enrolled any course yet </i> </h3>
    {%endfor%}
    
</div>

  
{% endblock content %}

main/templates/main/detail_view.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Profile</title>
{% endblock meta %}

{% block content %}
<style>
    body {
    margin: 0;
    /* padding-top: 40px; */
    color: #2e323c;
    background: #f5f6fa;
    position: relative;
    height: 100%;
}
.user-settings .user-profile {
    margin: 0 0 1rem 0;
    padding-bottom: 1rem;
    text-align: center;
}
.user-settings .user-profile .user-avatar {
    margin: 0 0 1rem 0;
}
.user-settings .user-profile .user-avatar img {
    width: 90px;
    height: 90px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
}

.user-settings .motto {
    margin: 1rem 0 0 0;
    text-align: center;
    
}
.user-settings .motto h5 {
    margin: 0 0 10px 0;
    color: #ffffff;
}

.user-settings .motto b {
    margin: 0 0 10px 0;
    color: #ffffff;
}


.card {
    background: #BA55D3;
    
}
</style>

<div class="container">
    <div class="card h-100">
            <div class="user-settings">
                <div class="user-profile">
                    <div class="user-avatar">
                        <img src="https://bootdey.com/img/Content/avatar/avatar7.png" alt="No Picture">
                    </div>
                        <!-- Display attributes of instance -->
                        <div class="motto">
                            <p id="first_name">
                                <b>First Name:</b> <br>
                            </p>
                            <p id="last_name">
                                <b> Last Name: </b><br>
                            </p>
                            <p id="hobby">
                                <b>Hobby:</b> <br>
                            </p>
                            <p id="motto">
                                <b> Motto:</b><br>
                            </p>
                        </div>
            
                    
                    <div class="card-action">
                        <a href="/profileupdate/{{request.user.id}}/" class="btn waves-effect"><i class="material-icons right">send</i>Edit</a>
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    var id = "{{request.user.id}}";
    $(document).ready(function(){
    $.ajax({
        type:"GET",
        url:"/profile/"+ id +"/viewjson",
        success: function(response){
            console.log(response)
            var first_name = "<p>" + response[0]['fields']['first_name'] + "</p>"
            var last_name = "<p>" + response[0]['fields']['last_name'] + "</p>"
            var hobby = "<p>" + response[0]['fields']['hobby'] + "</p>"
            var motto = "<p>" + response[0]['fields']['motto'] + "</p>"
            $("#first_name").append(first_name)
            $("#last_name").append(last_name)
            $("#hobby").append(hobby)
            $("#motto").append(motto)
        }
    })
    });
</script>

   -->
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Learning App</title>
{% endblock meta %}

{% block content %}


  <!-- <h1>Welcome to this app!</h1>
  <p><img class="materialboxed" width="650" src="{% static 'img/django-logo-negative.svg' %}"></p> -->
  <div class="container">
    <br> 
    <br> 
    {%if request.user.is_authenticated%}
      <div class="row">
        <h5 class="mb-5">Welcome {{ user.username }} !!!</h5>
      </div>
    {%endif%}
    <br>    
    <br> 
    <div class="row">
      <div class="card">
      <div class="col s12 l6">
          
            <div class="valign-wrapper">
              <div class="card-image" >
                <img class="" src="{% static 'img/blank.png'%}">
                <span class="card-title">
                  <h5 class="black-text">Platform Belajar Terintegrasi Gratis</h5>
                  <h3 class="black-text">Kelas Online Berkualitas</h3>
                  <br>
                  <a href="/all-courses/" class="waves-effect waves-light btn-large purple hoverable"><i class="material-icons right">search</i>lihat semua kelas</a>
                </span>
              </div>
            
          </div>
        </div>
        <div class="col s12 l6">
          
          <div class="card-image" >
            <img class="" src="{% static 'img/hero_choices/purp.png'%}">
          </div>
          
        </div>
      </div>
    </div>
  </div>

{% endblock content %}

main/templates/main/logged.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<div class="container">

  <h1>SELAMAT ANDA BERHASIL LOGIN</h1>
  <hr>
  <h5 class="mb-5">Welcome {{ user.username }} !!!</h5>    
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
</div>
{% endblock content %}

main/templates/main/register.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Register Account</title>
{% endblock meta %}

{% block content %}
  <!-- <h1>Hello, world!</h1> -->
  <!-- <p><img src="{% static 'img/django-logo-negative.svg' %}"></p> -->
  
  <div class="container">
    <div class="row">
        <div class="col s12">
            <h2>
                Daftar Sekarang!
            </h2>
        </div>
        <div class="col s12">
            <hr>
        </div>
        <div class="col s12 m6">
          <div class="card">
            <div class="card-image">
              <img height="275" src="{%static 'img/teacher.jpg'%}">
            </div>
            <div class="card-action">
              <a class="btn btn-larg" href="pengajar">GURU/DOSEN</a>
            </div>
          </div>
        </div>
        <div class="col s12 m6">
          <div class="card">
            <div class="card-image">
              <img height="275" src="{%static 'img/student.jpg'%}">
            </div>      
            <div class="card-action">
              <a class="btn btn-larg" href="murid">Murid/Mahasiswa</a>
            </div>
          </div>
        </div>
      </div>
{% endblock content %}

main/templates/main/register_murid.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Daftar sebagai Pelajar</title>
{% endblock meta %}

{% block content %}



<div class="container">
    <div class="card">
        <div class=" card-content">
            <h2>
                Pendaftaran Murid
            </h2>
        </div>
        <div class="card-content">
            
            <form action="{% url 'main:register_murid' %}" method="POST" novalidate>
                {% csrf_token %}
                {{form.as_p}}
                <div class="form-text mb-3">
                    Format Tanggal : YYYY-MM-DD
                </div>
                <input type="submit" value="Daftar!" class="btn btn-success btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock content %}

main/templates/main/register_pengajar.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Daftar sebagai Guru/Dosen</title>
{% endblock meta %}

{% block content %}
<div class="container">
    <div class="card">
        <div class="card-content">
            <h3> Pendaftaran Guru/Dosen </h3> 
        </div>
        <div class="card-content">

            <form action="{% url 'main:register_pengajar' %}" method="POST">
                {% csrf_token %}
                {{form.as_p}}
                <input type="submit" value="Daftar!" class="btn btn-success btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock content %}